# $Revision: 1.33 $, $Date: 2011/07/04 13:21:06 $
Summary:	Atomic Tanks - a game similiar to Scorched Earth and Worms
Summary(pl.UTF-8):	Atomic Tanks - gra podobna do Scorched Earth oraz Worms
Name:		atanks
Version:	5.1
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/atanks/%{name}-%{version}.tar.gz
# Source0-md5:	4d0879e3cf4cd85f14b81cb55b365f6f
Patch0:		%{name}-flags.patch
Patch1:		%{name}-install.patch
Patch2:		%{name}-desktop.patch
URL:		http://atanks.sourceforge.net/
BuildRequires:	allegro-devel >= 4.4.0
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Atomic Tanks is a Scorched Earth clone similar to the Worms series of
games. Annihilate the other tanks to earn money, then spend it on
bigger and better shields and weapons to wipe out the opposition.
Features a wide array of weapons, AI players, destructible landscape,
weather, parachutes, teleports and a wide range of other features.

%description -l pl.UTF-8
Atomic Tanks to klon Scorched Earth, podobny do serii gier "Worms". W
grze należy niszczyć inne czołgi, aby zarobić pieniądze, które można
przeznaczyć na nowe, lepsze tarcze oraz broń, która pomoże zwyciężyć
przeciwników. Zaletami gry są: duży asortyment broni, komputerowi
gracze, niszczalny teren, różne warunki pogodowe, spadochrony,
teleporty i inne.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	LIBS="`allegro-config --libs` -lpthread"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a atanks.desktop $RPM_BUILD_ROOT%{_desktopdir}
cp -a atanks.png  $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog credits.txt text/* README* TODO
%attr(755,root,root) %{_bindir}/atanks
%{_datadir}/games/%{name}
%{_desktopdir}/atanks.desktop
%{_pixmapsdir}/atanks.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atanks.spec,v $
Revision 1.33  2011/07/04 13:21:06  lisu
- updated to 5.1

Revision 1.32  2011/06/08 07:12:10  lisu
- updated to 5.0

Revision 1.31  2011/05/04 07:28:34  lisu
- updated to 4.9

Revision 1.30  2011/03/08 08:56:13  lisu
- up to 4.8

Revision 1.29  2010/09/07 07:18:36  lisu
- updated to 4.7
- link with -lpthread
- drop obsolete -mkdir.patch

Revision 1.28  2010/05/31 08:22:36  lisu
- updated to 4.6

Revision 1.27  2010/05/13 15:02:02  lisu
- fix mkdir() function problem

Revision 1.26  2010/05/12 20:03:49  sparky
- BR: libstdc++-devel (still fails to build)

Revision 1.25  2010/04/09 08:57:43  lisu
- updated to 4.5

Revision 1.24  2010/03/16 16:06:27  lisu
- get rid of old .desktop stuff

Revision 1.23  2010/03/16 15:59:22  lisu
- updated (at last!) to 4.4 version
- atanks needs allegro from branch 4.4 to build properly
- new patches: -flags.patch (use our flags), -install-patch (DESTDIR), -desktop.patch (use embedded destkop)
- rm old obsolete -datadir.patch
- install using %%{__make} install
- pl fixes

Revision 1.22  2007/04/07 22:13:01  rotom
- up to 2.3

Revision 1.21  2007/04/04 09:40:15  rotom
- BR fixed

Revision 1.20  2007/04/01 18:21:21  rotom
- up to 2.2
- obsoletes gcc34 patch removed

Revision 1.19  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.17  2007/01/13 18:45:47  rotom
- 2 doc files removed

Revision 1.16  2007/01/13 18:37:03  rotom
- up to 2.0

Revision 1.15  2006/12/27 10:37:26  ankry
- rel. 4

Revision 1.14  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.13  2005/05/16 06:01:40  jareq
- gpm-friendly Source0 URL

Revision 1.12  2004/10/01 11:01:43  paladine
- rel 3 for fixed desktop file

Revision 1.11  2004/09/11 18:23:54  wolf
- rel 2

Revision 1.10  2004/06/28 21:42:25  grzegol
- added gcc34 patch

Revision 1.9  2004/02/24 21:53:16  adamg
- fixed group

Revision 1.8  2004/02/11 19:20:12  undefine
- don't use /usr/games, default prefix is enougth

Revision 1.7  2004/02/05 23:29:37  yogib
- updated to 1.1.0

Revision 1.6  2003/11/27 14:41:02  grzegol
- updated to 1.0.0

Revision 1.5  2003/10/14 10:13:03  ankry
- better pl

Revision 1.4  2003/10/13 19:32:11  qboosh
- formatting

Revision 1.3  2003/09/13 10:39:16  grzegol
- added missing files
- added CFLAGS

Revision 1.2  2003/09/13 09:46:07  grzegol
- updated to 1.0.0-rc2
- added .desktop file and icon
- removed /usr/X11R6 prefix
- moved data files to /usr/share/games

Revision 1.1  2003/09/10 08:01:54  zagrodzki
- initial release
